#include <adc.h>


HAL_AdcParams_t adcParams{
	.resolution=RESOLUTION_8_BIT,
	.sampleRate=ADC_77KSPS,
	.voltageReference = AVCC,
	.callback=AdcConf,
	
};
HAL_OpenAdc(&adcParams);

//HAL_ADCChannelNumber_t adcMdaChannel{
	//.channel=HAL_ADC_CHANNEL1
//};
uint16_t adcValue=HAL_ReadADC(HAL_ADC_CHANNEL1);
HAL_CloseAdc();